#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	wayland-utils
Version		:	1.2.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Wayland utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://wayland.freedesktop.org/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	gcc
Buildrequires	:	meson
Buildrequires	:	libdrm
Buildrequires	:	wayland
Buildrequires	:	wayland-protocols

#-----------------------------------------------------------------------------
%description
wayland-utils contains wayland-info, a standalone
version of weston-info, a utility for displaying
information about the Wayland protocols supported
by the Wayland compositor.
wayland-info also provides additional information
for a subset of Wayland protocols it knows about,
namely Linux DMABUF, presentation time, tablet and
XDG output protocols.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%{_bindir}/wayland-info
%{_mandir}/man1/wayland-info.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	%{_smp_mflags}					\
	-C _bld						\
	-k1						\
	-v						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _bld					\
		install

#-----------------------------------------------------------------------------
%changelog
